1. LDBDS v1 APis
[LEIMOWORKS]OpenAPIs
  • 공통
    • SSO 로그인 (리다이렉트)
      GET
    • 인증토큰 발급
      GET
  • 모홈 보장분석 APIs
    • 본인인증 - 인증번호 요청
      POST
    • 본인인증 - 인증번호 검증
      POST
    • 약관조회
      GET
    • 보장분석 결과
      POST
    • 보장분석 결과 리포트
      POST
  • 모홈 메디컬보장분석 APIs
    • 건강보험공단 - 간편인증 요청
    • 건강보험공단 - 간편인증 완료
    • 건강검진 데이터 조회
    • 보장분석 결과 전송
    • PDF 리포트 요청
    • JSON 리포트 요청
  • 모홈 사용자 관리 APIs
    • 사용자 추가
    • 사용자 업데이트
    • 사용자 리스트
    • 사용자 삭제
  • 모홈 청구 APIs
    • 보험사 목록
    • 은행 목록
    • 우체국 지급센터 목록
    • 직업 코드 목록 [x]
    • 약관 조회 [x]
    • 청구
    • 청구 이력
  • LDBDS v1 APis
    • 상품 AS 정책 조회
      GET
    • 지역 허용값 목록
      GET
    • 주문 목록·통계
      GET
    • 주문 등록
      POST
    • 주문 단건 조회
      GET
    • 주문 취소
      POST
    • 소유 DB 리스트
      GET
    • DB 단건 등록
      POST
    • 기분배 DB 리스트
      GET
    • 소유 DB 단건 조회
      GET
    • DB 사용처리
      POST
    • Lead ID 목록으로 이름·연락처(복호화) 조회
      POST
    • 파일 업로드 Presigned URL 발급
      POST
    • AS 사유 코드 목록
      GET
    • AS 신청 리스트
      GET
    • AS 신청
      POST
    • AS 신청 단건 조회
      GET
    • AS 신청 취소
      POST
    • DB 분배
      POST
    • DB 분배 회수
      POST
  • Schemas
    • SsoLoginRequest
    • TokenResponse
    • ProductAsPolicyResponse
    • SsoLoginResponse
    • Error
    • ErrorResponse
    • RegionsResponse
    • OrdersListWithSummaryResponse
    • OrderListItem
    • Order
    • CreateOrderRequest
    • RegionQuantity
    • LeadsListResponse
    • Lead
    • LeadCreated
    • CreateLeadV1Request
    • PresignedRequest
    • AsReasonsResponse
    • AsListItem
    • AsDetail
    • CreateAsRequest
    • DistributeRequest
    • RecallRequest
  1. LDBDS v1 APis

주문 목록·통계

GET
/api/v1/orders
모홈 사용자(mohomId)별 주문 목록과 요약 통계. 목록은 페이지네이션, summary는 동일 필터(status·조회기간) 기준 전체 합계. userId는 mohomId와 동의어 쿼리.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Responses

🟢200
application/json
주문 목록 및 통계
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ldbds.kr/api/v1/orders?mohomId=undefined&userId=undefined&createdFrom=undefined&createdTo=undefined&page=undefined&limit=undefined&status=undefined&sortBy=undefined&sortOrder=undefined' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "string",
            "providerId": "string",
            "productId": "string",
            "ordererName": "string",
            "ordererContact": "string",
            "mohomId": 0,
            "regionQuantities": null,
            "regionMemo": "string",
            "memo": "string",
            "status": "string",
            "reservationDate": "2019-08-24T14:15:22.123Z",
            "createdAt": "string",
            "updatedAt": "string",
            "provider": {
                "id": "string",
                "name": "string",
                "code": "string"
            },
            "product": {
                "id": "string",
                "name": "string"
            },
            "orderedDbQuantity": 0,
            "provisionalAssignedCount": 0,
            "confirmedAssignedCount": 0,
            "usedDbCount": 0
        }
    ],
    "pagination": {
        "page": 0,
        "limit": 0,
        "total": 0,
        "totalPages": 0
    },
    "summary": {
        "mohomId": 0,
        "totalOrders": 0,
        "totalOrderedDbQuantity": 0,
        "totalProvisionalAssigned": 0,
        "totalConfirmedAssigned": 0,
        "totalUsedDb": 0
    }
}
Modified at 2026-06-29 09:24:45
Previous
지역 허용값 목록
Next
주문 등록
Built with